PFont font1 = createFont("CalifornianFB-Reg", 20); 
int border = 40;
int[] transactionsPerYear = new int[6];
int totalTransactions = 0;

void setup() {
  size(1600, 700); //size of the sketch window
  colorMode(HSB, 360,100,100); //color mode- like RGB or HSB (learn to use HSB because it's the best: http://en.wikipedia.org/wiki/HSL_and_HSV)
  smooth();
  
  
   //import the data from our text file 
  String savedData[] = loadStrings("savedData.txt");
  println("QUERY: " + savedData[0]);
  for (int i=1; i < savedData.length; i++) {
    
    String temp[] = split(savedData[i], "^^");
    totalTransactions = Integer.parseInt(temp[1]);
    transactionsPerYear[0] = Integer.parseInt(temp[2]);
    transactionsPerYear[1] = Integer.parseInt(temp[3]);
    transactionsPerYear[2] = Integer.parseInt(temp[4]);
    transactionsPerYear[3] = Integer.parseInt(temp[5]);
    transactionsPerYear[4] = Integer.parseInt(temp[6]);
    transactionsPerYear[5] = Integer.parseInt(temp[7]);
  }
}

void draw() {
    background(44,74,96);
    fill(0,98,76); //change the color of the numbers on X & Y axis! 

    //draw lines where length = number of transactions 
    stroke(247,74,96); //change the color of horizontal lines!
    strokeWeight(2.0); //thickness of horizontal lines
    for(int i = 0;i<6;i++){
      line(border+40,i*(height/10)+border,border+transactionsPerYear[i]/5000,i*(height/10)+border);
      textAlign(RIGHT,CENTER);
      text(2005 + (i*1), border+20,i*(height/10)+border);
    }
    
    line(border+40,height-100,border+totalTransactions/5000,height-100);
    textAlign(RIGHT,CENTER);
    text("Total", border+20,height-100);
    
    //draw the horizontal labels 
    for(int i = 1;i<20;i++){
      float tempX = border+(i*100);
      float tempY = height-border;
      textAlign(CENTER,CENTER);
      textFont(font1); //call upon the text you want to use!
      text((int)(tempX-border)*5000, tempX,tempY);
    }
      
      
    fill(0,98,76);  //color of text in the center
    textAlign(CENTER,CENTER);
    text("Total CD Checkouts 2005-2010",width/2, height/2); 
}
